org.apache.ivy.plugins.matcher

## Class MapMatcher

- java.lang.Object
- - org.apache.ivy.plugins.matcher.MapMatcher

    public class MapMatcher
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MapMatcher(java.util.Map attributes, PatternMatcher pm)`

### Method Summary

Methods
`java.util.Map` `getAttributes()`
`PatternMatcher` `getPatternMatcher()`
`boolean` `matches(java.util.Map m)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MapMatcher

    public MapMatcher(java.util.Map attributes,
              PatternMatcher pm)

### Method Detail

#### matches

    public boolean matches(java.util.Map m)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getAttributes

    public java.util.Map getAttributes()

#### getPatternMatcher

    public PatternMatcher getPatternMatcher()